﻿using Syncfusion.UI.Xaml.Schedule;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Globalization;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfScheduleSAmple
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page, INotifyPropertyChanged
    {
        public MainPage()
        {
            CultureInfo.CurrentCulture.DateTimeFormat.FirstDayOfWeek = DayOfWeek.Monday;
            InitializeComponent();
            Binding visdatecoll = new Binding();
            visdatecoll.Source = this;
            visdatecoll.Path = new PropertyPath("currentDate");
            visdatecoll.Mode = BindingMode.TwoWay;
            Schedule1.SetBinding(SfSchedule.VisibleDatesProperty, visdatecoll);
            this.DataContext = this;
           }

        #region Properies
       
      

        ObservableCollection<DateTime> _currentDate;
        public ObservableCollection<DateTime> currentDate
        {
            get { return _currentDate; }
            set 
            {
                _currentDate = value;
                this.VisibleStartDate = currentDate[0];
                this.VisibleEndDate = currentDate[currentDate.Count - 1];
                this.RaisePropertyChanged("currentDate");
            }
        }
        private DateTime visibleStartDate;

        public DateTime VisibleStartDate
        {
            get { return visibleStartDate; }
            set 
            {
                visibleStartDate = value;
                this.RaisePropertyChanged("VisibleStartDate");
            }
        }

        private DateTime visibleEndDate;

        public DateTime VisibleEndDate
        {
            get { return visibleEndDate; }
            set 
            {
                visibleEndDate = value;
                this.RaisePropertyChanged("VisibleEndDate");
            }
        }
        #endregion

        #region Events  

        public event PropertyChangedEventHandler PropertyChanged;
        public void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        #endregion
    }
}
